Subject: RE: Compiling Mesa from CVS under Cygwin B20.1
From: "Suhaib M. Siddiqi" <[email-masked]>
To: <[email-masked]>, "Sven Panne" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 5 Mar 2000 11:19:01 -0500

>
> On Fri, 3 Mar 2000, Sven Panne wrote:
>
> > Has anybody succeeded in compiling Mesa from the CVS repository
> > under Cygwin B20.1? I've managed to build the GL/GLU libs, but
>
> Yes.  If there's interest, I'll make it available pre-built.  Glut works
> with no problems, as far as I can tell.  (My research project depends on
> it.)
>
>
> > the compilation of GLUT yields tons of macro redefinition errors.
> > This is probably due to discrepancies between Cygwin's and Microsoft's
>
> No.  It's due to "WIN32" instead of "_WIN32" in (one of?) the glut .h
> file(s). Change that (I think in two places) and it will compile.
>
>    s/WIN32/_WIN32/g
>
> You need to make yourself a makefile, too, but it can be dirt simple.
>
> Oh, I used the msvc GL header files.  Don't know about the mesa ones.

Ummm you cannot mix M$ headers with Mesa. You will be creating a
buggy lib.

GLUT from Mesa does not compile under Cygwin. You need to fix the code.

Anyhow OpenGL API Implementation (SGI version) is available at
http://siddiqi.webjump.com

It includes GL. GLU, GLUT and RGB etc.

>
> The sgi header files (for win32) work too, I believe.  I think that's
> where the ones in the X tarball came from.  (off the top of my
> head...could be wrong.)

There is a major difference in OpenGL 32 and OpenGL for X that is mainly wGL
and GLX.

>
> But unless you are hacking on mesa (good for you if you are), why not use
> the opengl32.dll and glu32.dll that comes with mswindows?  They will
> automatically use the optimized drivers for your graphics card.  Does mesa
> in win32 now use the drivers to get good acceleration?
>

This is not hacking??  You are mixing OpenGL32 (i.e wGL) with GLX????

Suhaib

>
> > header files. Browsing through this list and Alta Vista showed that
> > some people have managed to build older versions of Mesa, but I was
>
> Don't know about mesa.  The reason I use win32 is so that OpenGL uses the
> vendor-provided drivers for my accelerated graphics card.  Otherwise, I'd
> probably run my project in linux.
>
>
> HTH,
>
> -jeff
>
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]